ScriptWriterParserInternal::Page Struct Reference

Internal: the page of a ScriptWriterParser. More...

## Public Member Functions

| Page ()
| constructor

## Public Attributes

bool | m_lastPage
| a flag to know if this page is the last one
std::map< int, std::array< Paragraph, 2 > > | m_zoneToParagraphsMap
| a map id to left/right paragraph
std::map< std::pair< int, int >, MWAWFont > | m_zonePosToFontMap [2]
| two map zone, position to a font, one for each potential columns

## Detailed Description

Internal: the page of a ScriptWriterParser.

## Constructor & Destructor Documentation

## Page()

ScriptWriterParserInternal::Page::Page | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_lastPage

bool ScriptWriterParserInternal::Page::m_lastPage

a flag to know if this page is the last one

Referenced by ScriptWriterParser::createZones(), Page(), and ScriptWriterParser::readPage().

## m_zonePosToFontMap

std::map<std::pair<int, int>, MWAWFont> ScriptWriterParserInternal::Page::m_zonePosToFontMap[2]

two map zone, position to a font, one for each potential columns

Referenced by ScriptWriterParser::readCharStyle(), and ScriptWriterParser::sendText().

## m_zoneToParagraphsMap

std::map<int, std::array<Paragraph, 2> > ScriptWriterParserInternal::Page::m_zoneToParagraphsMap

a map id to left/right paragraph

Referenced by Page(), ScriptWriterParser::readPage(), and ScriptWriterParser::sendText().

The documentation for this struct was generated from the following file:

- ScriptWriterParser.cxx